Bug 490625 (CVE-2009-0166) - CVE-2009-0166 xpdf: Freeing of potentially uninitialized memory in JBIG2 decoder
Summary: CVE-2009-0166 xpdf: Freeing of potentially uninitialized memory in JBIG2 decoder
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0166
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: CVE-2009-0756 490707 490708 490710 490711 490712 490713 490714 490715 490716 490717 490727 490728 490729 490730 492384 492385 492386 492387 496942 496943 496944 577322 577323 577328 577329 833914
Blocks: 491864
TreeView+ depends on / blocked
 
Reported: 2009-03-17 11:14 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:29 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-07 08:39:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0429 normal SHIPPED_LIVE Important: cups security update 2009-04-16 22:52:28 UTC
Red Hat Product Errata RHSA-2009:0430 normal SHIPPED_LIVE Important: xpdf security update 2009-04-16 22:52:59 UTC
Red Hat Product Errata RHSA-2009:0431 normal SHIPPED_LIVE Important: kdegraphics security update 2009-04-16 22:53:18 UTC
Red Hat Product Errata RHSA-2009:0458 normal SHIPPED_LIVE Important: gpdf security update 2009-04-30 20:58:15 UTC
Red Hat Product Errata RHSA-2009:0480 normal SHIPPED_LIVE Important: poppler security update 2009-05-13 14:32:34 UTC
Red Hat Product Errata RHSA-2010:0399 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 18:53:52 UTC
Red Hat Product Errata RHSA-2010:0400 normal SHIPPED_LIVE Moderate: tetex security update 2010-05-06 19:09:35 UTC

Description Jan Lieskovsky 2009-03-17 11:14:25 UTC
A security flaw was found in the JBIG2 decoder (possibility of freeing of uninitialized memory). An attacker could use this flaw to potentially
cause a denial of service (application crash).

Acknowledgements:

Red Hat would like to thank Braden Thomas and Drew Yao of the Apple Product
Security team for responsibly reporting this flaw.

Comment 9 Josh Bressers 2009-03-24 14:38:14 UTC
attachment 336465 [details] has the updated patch that should be used for this issue.

Comment 12 Vincent Danen 2009-04-16 21:31:57 UTC
Embargo has been lifted.

Comment 13 Fedora Update System 2009-04-17 19:02:16 UTC
xpdf-3.02-13.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xpdf-3.02-13.fc9

Comment 14 Fedora Update System 2009-04-17 19:03:32 UTC
xpdf-3.02-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xpdf-3.02-13.fc10

Comment 15 Fedora Update System 2009-04-21 15:17:13 UTC
cups-1.3.10-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cups-1.3.10-1.fc9

Comment 16 Fedora Update System 2009-04-21 15:20:03 UTC
cups-1.3.10-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cups-1.3.10-1.fc10

Comment 18 Fedora Update System 2009-04-22 00:47:25 UTC
cups-1.3.10-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2009-04-22 00:50:18 UTC
cups-1.3.10-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2009-04-22 00:53:40 UTC
xpdf-3.02-13.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2009-04-22 00:58:51 UTC
xpdf-3.02-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 errata-xmlrpc 2009-04-24 07:56:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 3

Via RHSA-2009:0430 https://rhn.redhat.com/errata/RHSA-2009-0430.html

Comment 23 errata-xmlrpc 2009-04-24 08:06:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0431 https://rhn.redhat.com/errata/RHSA-2009-0431.html

Comment 24 errata-xmlrpc 2009-04-24 08:26:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:0429 https://rhn.redhat.com/errata/RHSA-2009-0429.html

Comment 25 errata-xmlrpc 2009-04-30 20:58:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:0458 https://rhn.redhat.com/errata/RHSA-2009-0458.html

Comment 26 errata-xmlrpc 2009-05-13 14:32:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0480 https://rhn.redhat.com/errata/RHSA-2009-0480.html

Comment 29 errata-xmlrpc 2010-05-06 18:54:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0399 https://rhn.redhat.com/errata/RHSA-2010-0399.html

Comment 30 errata-xmlrpc 2010-05-06 19:10:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0400 https://rhn.redhat.com/errata/RHSA-2010-0400.html


Note You need to log in before you can comment on or make changes to this bug.